###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#
###############################################################################
# EL_BufferMasked_3.cfg
# expectation test with minimal coverage (compare logs with EL setting if EL-event does happen)
# buffer is big enough to log all event between two emergency
# The test can produce the same log file as with EL_BufferMasked_3.cfg
[MODULE_PARAMETERS]
tsp_looplimit:=10

[TESTPORT_PARAMETERS]
#empty
[LOGGING]
LogFile := "logs/%e-%r.%s"

ConsoleMask := ERROR //| ACTION | EXECUTOR | USER
FileMask := ERROR | STATISTICS | TESTCASE
//| TESTCASE | USER | ACTION //| ACTION | USER | EXECUTOR | STATISTICS | PORTEVENT
//LOG_ALL | TTCN_MATCHING | TTCN_DEBUG  //ERROR | EXECUTOR | TESTCASE | ACTION | USER // | DEFAULTOP //| USER | TESTCASE | LOG_ALL
TimeStampFormat := Time
LogEventTypes := Yes
SourceInfoFormat := Stack
LogEventTypes := Detailed
//AppendFile := Yes

*.EmergencyLogging:=50
*.EmergencyLoggingBehaviour := BufferMasked
*.EmergencyLoggingMask :=  USER | ACTION
//|  USER  | ACTION | ERROR | PORTEVENT| EXECUTOR | DEBUG | DEFAULTOP | EXECUTOR | FUNCTION | MATCHING | DEBUG | PARALLEL | PORTEVENT | STATISTICS /* |
//TESTCASE */ | TIMEROP
//*.EmergencyLoggingMask := LOG_ALL | MATCHING | DEBUG 
[EXECUTE]
//EmergencyLoggingTest.control
//Titan_LogTest.control
EmergencyLoggingTest.tc_user
EmergencyLoggingTest.tc_PTC_create_EL
EmergencyLoggingTest.tc_user_EL
EmergencyLoggingTest.tc_user_EL
// EmergencyLoggingTest.tc_user_EL
// Titan_LogTest.control
// Titan_LogTest.tc_action
// Titan_LogTest.tc_default
// Titan_LogTest.tc_error1
// Titan_LogTest.tc_ex_runtime
// Titan_LogTest.tc_function_rnd
// Titan_LogTest.tc_not_existing_testcase
// Titan_LogTest.tc_parallel_portconn
// Titan_LogTest.tc_parallel_portmap
// Titan_LogTest.tc_portevent
// Titan_LogTest.tc_timer
// Titan_LogTest.tc_UserLog
// Titan_LogTest.tc_verdict
// Titan_LogTest.tc_matching
// Titan_LogTest.tc_encdec
// Titan_LogTest.tc_error1
[MAIN_CONTROLLER]
#UnixSocketsEnabled := No

//saved by GUI
